Runtime

## org.eclipse.gmf.runtime.diagram.core.edithelpers
Class NotationViewDependentsAdvice

    java.lang.Object
      org.eclipse.gmf.runtime.emf.type.core.edithelper.AbstractEditHelperAdvice
          org.eclipse.gmf.runtime.diagram.core.edithelpers.NotationViewDependentsAdvice

All Implemented Interfaces:
  IEditHelperAdvice

    public class NotationViewDependentsAdvice

extends AbstractEditHelperAdvice

Edit helper advice for the `DestroyDependentsRequest` that destroys notations views under the following circumstances:

- element being destroyed is the view's semantic referent
- element being destroyed is a Node or Edge to which an Edge is connected

Constructor Summary
`NotationViewDependentsAdvice()`

Method Summary
`ICommand` `getAfterEditCommand(IEditCommandRequest request)` Gets a command to be executed after the base editing behaviour.
`protected ICommand` `getBeforeDestroyDependentsCommand(DestroyDependentsRequest request)` Gets my 'before' advice for destroying the dependents of an element that is being destroyed.
`ICommand` `getBeforeEditCommand(IEditCommandRequest request)` Gets a command to be executed before the base editing behaviour.

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.edithelper.AbstractEditHelperAdvice

`approveRequest, configureRequest, createType, createType, getAfterConfigureCommand, getAfterCreateCommand, getAfterCreateRelationshipCommand, getAfterDestroyDependentsCommand, getAfterDestroyElementCommand, getAfterDestroyReferenceCommand, getAfterDuplicateCommand, getAfterEditContextCommand, getAfterMoveCommand, getAfterReorientReferenceRelationshipCommand, getAfterReorientRelationshipCommand, getAfterSetCommand, getBeforeConfigureCommand, getBeforeCreateCommand, getBeforeCreateRelationshipCommand, getBeforeDestroyElementCommand, getBeforeDestroyReferenceCommand, getBeforeDuplicateCommand, getBeforeEditContextCommand, getBeforeMoveCommand, getBeforeReorientReferenceRelationshipCommand, getBeforeReorientRelationshipCommand, getBeforeSetCommand`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotationViewDependentsAdvice

    public NotationViewDependentsAdvice()

Method Detail

### getBeforeEditCommand

    public ICommand getBeforeEditCommand(IEditCommandRequest request)

  Description copied from interface: `IEditHelperAdvice`
  Gets a command to be executed before the base editing behaviour.

  Specified by:
    `getBeforeEditCommand` in interface `IEditHelperAdvice`
  Overrides:
    `getBeforeEditCommand` in class `AbstractEditHelperAdvice`
  Parameters:
    `request` - the request
  Returns:
    the 'before' command, or `null` if I do not provide 'before' behaviour.

### getAfterEditCommand

    public ICommand getAfterEditCommand(IEditCommandRequest request)

  Description copied from interface: `IEditHelperAdvice`
  Gets a command to be executed after the base editing behaviour.

  Specified by:
    `getAfterEditCommand` in interface `IEditHelperAdvice`
  Overrides:
    `getAfterEditCommand` in class `AbstractEditHelperAdvice`
  Parameters:
    `request` - the request
  Returns:
    the 'after' command, or `null` if I do not provide 'after' behaviour.

### getBeforeDestroyDependentsCommand

    protected ICommand getBeforeDestroyDependentsCommand(DestroyDependentsRequest request)

  Description copied from class: `AbstractEditHelperAdvice`
  Gets my 'before' advice for destroying the dependents of an element that is being destroyed.

  Overrides:
    `getBeforeDestroyDependentsCommand` in class `AbstractEditHelperAdvice`
  Parameters:
    `request` - the request
  Returns:
    the command to execute before the edit helper work is done

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.